LinuxQuestions.org
Visit Jeremy's Blog.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 09-10-2016, 10:05 AM   #16
Wiser Slacker
Member
 
Registered: May 2014
Location: germany
Distribution: slackware x86_64 , arm , slackware , AlmaLinux
Posts: 83

Original Poster
Rep: Reputation: Disabled

so here are my patches to util-linux 2.28.2 (x86_64)

Slack-pkg/util-linux:
Code:
- net-tools-1.60.20120726git.tar.xz
+ net-tools-1.60.20160710git.tar.xz

- net-tools.config.h.gz
+ net-tools.config.h.gz

- setserial-rc.serial.diff.gz
- setserial-undef_TIOCGHAYESESP.diff.gz
+ setserial-all.diff.gz

- util-linux.SlackBuild
+ util-linux.SlackBuild

+ v2.28.2-ChangeLog 
+ v2.28.2-ReleaseNotes
the "git clone git://git.code.sf.net/p/net-tools/code net-tools-code"
goes into net-tools-1.60.20160710git.tar.xz

net-tools.config.h:
Code:
/*
* config.h      Automatically generated configuration includefile
*
* NET-TOOLS     A collection of programs that form the base set of the
*               NET-3 Networking Distribution for the LINUX operating
*               system.
*
*               DO  NOT  EDIT  DIRECTLY
*
*/

/* 
 * 
 * Internationalization
 * 
 * The net-tools package has currently been translated to French,
 * German and Brazilian Portugese.  Other translations are, of
 * course, welcome.  Answer `n' here if you have no support for
 * internationalization on your system.
 * 
 */
#define I18N 1

/* 
 * 
 * Protocol Families.
 * 
 */
#define HAVE_AFUNIX 1
#define HAVE_AFINET 1
#define HAVE_AFINET6 1
#define HAVE_AFIPX 1
#define HAVE_AFATALK 1
#define HAVE_AFAX25 1
#define HAVE_AFNETROM 1
#define HAVE_AFROSE 0
#define HAVE_AFX25 1
#define HAVE_AFECONET 0
#define HAVE_AFDECnet 0
#define HAVE_AFASH 0
#define HAVE_AFBLUETOOTH 1

/* 
 * 
 * Device Hardware types.
 * 
 */
#define HAVE_HWETHER 1
#define HAVE_HWARC 1
#define HAVE_HWSLIP 1
#define HAVE_HWPPP 1
#define HAVE_HWTUNNEL 1
#define HAVE_HWSTRIP 0
#define HAVE_HWTR 0
#define HAVE_HWAX25 1
#define HAVE_HWROSE 0
#define HAVE_HWNETROM 1
#define HAVE_HWX25 1
#define HAVE_HWFR 1
#define HAVE_HWSIT 0
#define HAVE_HWFDDI 1
#define HAVE_HWHIPPI 1
#define HAVE_HWASH 0
#define HAVE_HWHDLCLAPB 0
#define HAVE_HWIRDA 1
#define HAVE_HWEC 0
#define HAVE_HWEUI64 1
#define HAVE_HWIB 1

/* 
 * 
 * Other Features.
 * 
 */
#define HAVE_FW_MASQUERADE 1
#define HAVE_IP_TOOLS 1
#define HAVE_MII 1
#define HAVE_SELINUX 0
setserial-all.diff:
Code:
diff -Nur setserial-2.17.orig/setserial.c setserial-2.17/setserial.c
--- setserial-2.17.orig/setserial.c     2000-01-27 16:40:52.000000000 +0100
+++ setserial-2.17/setserial.c  2016-08-16 22:15:20.027389477 +0200
@@ -10,6 +10,7 @@
  * Last modified: [tytso:19940520.0036EDT]
  */
 
+#include <stdlib.h>
 #include <stdio.h>
 #include <fcntl.h>
 #include <termios.h>
@@ -26,6 +27,9 @@
 
 #include "version.h"
 
+/* http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=f53a2ade0bb9f2a81f473e6469155172a96b7c38 */
+#undef TIOCGHAYESESP
+
 static char version_str[] = "setserial version " SETSERIAL_VERSION ", "
        SETSERIAL_DATE;
 
diff -Nur setserial-2.17.orig/setserial.8.in setserial-2.17/setserial.8.in 
--- setserial-2.17.orig/setserial.8.in  2000-01-27 15:58:49.000000000 +0100
+++ setserial-2.17/setserial.8.in       2016-08-17 00:46:24.365473771 +0200
@@ -40,7 +40,7 @@
 .I device
 argument or arguments specifies the serial device which should be configured or
 interrogated.  It will usually have the following form:
-.BR /dev/cua[0-3] .
+.BR /dev/ttyS[0-3] .
 
 If no parameters are specified,
 .B setserial
@@ -264,7 +264,7 @@
 the closing_wait may need to be larger.  
 .TP
 .B session_lockout
-Lock out callout port (/dev/cuaXX) accesses across different sessions.
+Lock out callout port (/dev/ttySXX) accesses across different sessions.
 That is, once a process has opened a port, do not allow a process with
 a different session ID to open that port until the first process has
 closed it.
@@ -273,7 +273,7 @@
 Do not lock out callout port accesses across different sessions.
 .TP
 .B pgrp_lockout
-Lock out callout port (/dev/cuaXX) accesses across different process groups.
+Lock out callout port (/dev/ttySXX) accesses across different process groups.
 That is, once a process has opened a port, do not allow a process in a
 different process group to open that port until the first process has
 closed it.
@@ -338,10 +338,10 @@
 
 .nf
 .RS
-/dev/ttys0 (COM1), port 0x3f8, irq 4
-/dev/ttys1 (COM2), port 0x2f8, irq 3
-/dev/ttys2 (COM3), port 0x3e8, irq 4
-/dev/ttys3 (COM4), port 0x2e8, irq 3
+/dev/ttyS0 (COM1), port 0x3f8, irq 4
+/dev/ttyS1 (COM2), port 0x2f8, irq 3
+/dev/ttyS2 (COM3), port 0x3e8, irq 4
+/dev/ttyS3 (COM4), port 0x2e8, irq 3
 .RE
 .fi
 
@@ -505,7 +505,7 @@
 can lock up your machine.
 .SH FILES
 .BR /etc/rc.local
-.BR /etc/rc.serial
+.BR /etc/rc.d/rc.serial
 .SH "SEE ALSO"
 .BR tty (4),
 .BR ttys (4),

diff -u5raN setserial-2.17.orig/rc.serial setserial-2.17/rc.serial
--- setserial-2.17.orig/rc.serial       2000-01-27 16:47:30.000000000 +0100
+++ setserial-2.17/rc.serial    2011-02-16 07:34:55.000000000 +0100
@@ -12,12 +12,10 @@
 # file with a newer one.
 # 
 # XXXX For now, the autosave feature doesn't work if you are
 # using the multiport feature; it doesn't save the multiport configuration
 # (for now).  Autosave also doesn't work for the hayes devices.  
-# Will fix later...
-#
 #
 
 RCLOCKFILE=/var/lock/subsys/serial
 DIRS="/lib/modules/`uname -r`/misc /lib/modules /usr/lib/modules ."
 PATH=/bin:/sbin:/usr/bin
@@ -85,11 +83,11 @@
                ${SETSERIAL} -G -g ${ALLDEVS} >> /etc/.serial.conf.new
                mv /etc/serial.conf /etc/.serial.conf.old
                mv /etc/.serial.conf.new /etc/serial.conf
                echo "done."
        fi
-       if test -n $MODULE ; then
+       if test -n "$MODULE" ; then
                module=`grep $MODULE_REGEXP /proc/modules | awk '{print $1}'`
                if test -z "$module" ; then 
                        echo "The $DRIVER_NAME driver is not loaded."
                        rm -f ${RCLOCKFILE}
                        exit 0
@@ -106,26 +104,26 @@
 
 #
 # If not stop, it must be a start....
 #
 
-if test -n $MODULE -a "$LOADED" != "yes" ; then 
-       if insmod -fm $MODULE $DRIVER_ARG \
-               > /tmp/$DRIVER.map 2> /tmp/$DRIVER.$$; then :; 
+if test -n "$MODULE" -a "$LOADED" != "yes" ; then 
+       if insmod -f $MODULE $DRIVER_ARG ; then
+          true
        else
                echo "Couldn't load $DRIVER_NAME driver."
-               echo "See error logs in /tmp/$DRIVER.$$"
                exit 1
        fi
-       /bin/rm -f /tmp/$DRIVER.$$
 fi
 
 if test -f /etc/serial.conf ; then
         if test -n ${SETSERIAL} ; then
                grep -v ^# < /etc/serial.conf | while read device args
                do
-                   ${SETSERIAL} -z $device $args
+                    if [ ! "$device" = "" -a ! "$args" = "" ]; then
+                        ${SETSERIAL} -z $device $args
+                    fi
                done 
        fi
 else
        echo "###AUTOSAVE###" > /etc/serial.conf
 fi
diff Slack64-current/source/a/util-linux/util-linux.SlackBuild Slack-pkg/util-linux/util-linux.SlackBuild:
Code:
32c32
< NUMJOBS=${--j8}
---
> NUMJOBS=${--j1}
197,199c197,200
< rm -rf net-tools-1.60.20120726git
< tar xvf $CWD/net-tools-1.60.20120726git.tar.xz
< cd net-tools-1.60.20120726git
---
> rm -rf net-tools-1.60.20160710git
> tar xvf $CWD/net-tools-1.60.20160710git.tar.xz
> cd net-tools-1.60.20160710git
> #
242,243c243,245
< zcat $CWD/setserial-rc.serial.diff.gz | patch -E -p1 --verbose || exit 1
< zcat $CWD/setserial-undef_TIOCGHAYESESP.diff.gz | patch -E -p1 --verbose || exit 1
---
> #zcat $CWD/setserial-rc.serial.diff.gz | patch -E -p1 --verbose || exit 1
> #zcat $CWD/setserial-undef_TIOCGHAYESESP.diff.gz | patch -E -p1 --verbose || exit 1
> zcat $CWD/setserial-all.diff.gz | patch -E -p1 --verbose || exit 1
245c247
< cp -p /usr/share/libtool/config/config.{guess,sub} .
---
> cp -p /usr/share/libtool/build-aux/config.{guess,sub} .
307,309c309,311
< # Compress info page and remove dir file
< rm $PKG/usr/info/dir
< gzip -9 $PKG/usr/info/*
---
> ## Compress info page and remove dir file
> #rm $PKG/usr/info/dir
> #gzip -9 $PKG/usr/info/*
312,313c314
< cp -a AUTHORS COPYING DEPRECATED NEWS README* TODO \
<   docs/v${VERSION}-ReleaseNotes \
---
> cp -a AUTHORS COPYING NEWS README*  \
314a316,318
> 
> cat $CWD/v${VERSION}-ReleaseNotes > $PKG/usr/doc/util-linux-$VERSION/ReleaseNotes
> cat $CWD/v${VERSION}-ChangeLog > $PKG/usr/doc/util-linux-$VERSION/ChangeLog
wget -nd https://www.kernel.org/pub/linux/uti...28.2-ChangeLog
wget -nd https://www.kernel.org/pub/linux/uti...2-ReleaseNotes


so - now you have an full functional util-linux package witch do compile mostly clean - where just some warnings are left over

have mutch fun

Last edited by Wiser Slacker; 09-10-2016 at 10:37 AM. Reason: finaly found the button for atachments - next time i will use it ;)
 
Old 09-10-2016, 10:31 AM   #17
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Quote:
Originally Posted by Wiser Slacker View Post
... and if you have had a view into libtool-2.4.6-x86_64-4.txz package ... and into the changelog of the source u can see that these configs are gone to /usr/share/libtool/build-aux/

so i don't know how u did build yours ... but if you took the clean 14.2 install - with all packages - it will not compile cleanly ... you may need to log the compiletime messages to investigate what is going wrong ... as i did before posting these things ...
My apologies, when you said "can't be built", I assumed your build errored out. Mine did not and completed providing me a package. However, as you noted, those files are no longer there, and I did notice that in my build log.

Quote:
Originally Posted by Wiser Slacker View Post
thats funny to read ... i just realize that the last grabed version from net tools is also "just" an git release ... lol

net-tools-1.60.20120726git.tar.xz
Yes, it was a git release, but he doesn't tend to update those unless there's a reason. It might be beneficial to provide some reasons on why a newer git release would be beneficial.

Based on your observations, it would probably be worth notifying Pat of these issues, and your suggested corrections, in the stickied "Requests for -current". While I do know he reads the forum, I don't know if he reads every topic. However, I know he, and the other Slackware devs, pays attention to that one.
 
Old 09-10-2016, 07:33 PM   #18
Wiser Slacker
Member
 
Registered: May 2014
Location: germany
Distribution: slackware x86_64 , arm , slackware , AlmaLinux
Posts: 83

Original Poster
Rep: Reputation: Disabled
net-tools-1.60.20160710git

and here are my patches to net-tools with net-tools-1.60.20160710git - clean compile - and some little fixes

Slack-pkg/net-tools:
Code:
- net-tools-1.60.20120726git.tar.xz
+ net-tools-1.60.20160710git.tar.xz

- net-tools.SlackBuild
+ net-tools.SlackBuild

- net-tools.config.h.gz
+ net-tools.config.h.gz
+ net-tools.config.make.gz
the "git clone git://git.code.sf.net/p/net-tools/code net-tools-code"
goes into net-tools-1.60.20160710git.tar.xz

and the patch to net-tools.SlackBuild
diff -Nur Slack64-14.2/source/n/net-tools/net-tools.SlackBuild Slack-pkg/net-tools/net-tools.SlackBuild
Code:
--- Slack64-14.2/source/n/net-tools/net-tools.SlackBuild     2012-07-27 00:00:00.000000000 +0200
+++ Slack-pkg/net-tools/net-tools.SlackBuild        2016-09-11 01:56:12.124467182 +0200
@@ -2,7 +2,7 @@
 
 # Copyright 2006, 2007, 2008, 2009, 2010, 2012  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
-#
+# 
 # Redistribution and use of this script, with or without modification, is
 # permitted provided that the following conditions are met:
 #
@@ -20,15 +20,14 @@
 #  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-
 PKGNAM=net-tools
-VERSION=${VERSION:-1.60.20120726git}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.60.20160710git}
+BUILD=${BUILD:-2}
 
 # Automatically determine the architecture we're building on:
 if [ -z "$ARCH" ]; then
   case "$( uname -m )" in
-    i?86) export ARCH=i486 ;;
+    i?86) export ARCH=i586 ;;
     arm*) export ARCH=arm ;;
     # Unless $ARCH is already set, use uname -m for all other archs:
        *) export ARCH=$( uname -m ) ;;
@@ -41,16 +40,18 @@
 rm -rf $PKG
 mkdir -p $TMP $PKG
 
-if [ "$ARCH" = "i386" ]; then
-  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
-elif [ "$ARCH" = "i486" ]; then
-  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "s390" ]; then
   SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
 else
   SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
 fi
 
 cd $TMP
@@ -59,6 +60,7 @@
 cd net-tools-$VERSION || exit 1
 
 zcat $CWD/net-tools.config.h.gz > config.h
+zcat $CWD/net-tools.config.make.gz > config.make
 
 chown -R root:root .
 find . \
@@ -71,9 +73,8 @@
 cp -a COPYING* README* $PKG/usr/doc/net-tools-$VERSION
 chmod 644 $PKG/usr/doc/net-tools-$VERSION/*
 chown root:root $PKG/usr/doc/net-tools-$VERSION/*
-HAVE_IP_TOOLS=1 HAVE_MII=1 make || exit 1
-HAVE_IP_TOOLS=1 HAVE_MII=1 make hostname || exit 1
-strip --strip-unneeded ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat plipconfig slattach mii-tool
+make || exit 1
+strip --strip-unneeded ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat slattach mii-tool
 mkdir -p $PKG/sbin $PKG/bin $PKG/usr/sbin
 cat arp > $PKG/sbin/arp
 cat ifconfig > $PKG/sbin/ifconfig
@@ -83,22 +84,42 @@
 cat mii-tool > $PKG/sbin/mii-tool
 cat nameif > $PKG/sbin/nameif
 cat netstat > $PKG/bin/netstat
-cat plipconfig > $PKG/sbin/plipconfig
+#cat plipconfig > $PKG/sbin/plipconfig
 cat slattach > $PKG/usr/sbin/slattach
 cat ipmaddr > $PKG/sbin/ipmaddr
 cat iptunnel > $PKG/sbin/iptunnel
 chmod 755 $PKG/sbin/* $PKG/bin/* $PKG/usr/sbin/*
-cd man/en_US
-mkdir -p $PKG/usr/man/man{1,5,8}
-for page in dnsdomainname.1 domainname.1 hostname.1 nisdomainname.1 \
-  ypdomainname.1 ; do
+
+# us english
+( cd man/en_US
+mkdir -p $PKG/usr/man/man{1,8}
+for page in dnsdomainname.1 domainname.1 hostname.1 nisdomainname.1 ypdomainname.1 ; do
   cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
 done
-cat ethers.5 | gzip -9c > $PKG/usr/man/man5/ethers.5.gz
-for page in arp.8 ifconfig.8 mii-tool.8 nameif.8 netstat.8 rarp.8 route.8 \
-  slattach.8 plipconfig.8 ; do
+#cat ethers.5 | gzip -9c > $PKG/usr/man/man5/ethers.5.gz
+
+for page in arp.8 ifconfig.8 mii-tool.8 nameif.8 netstat.8 rarp.8 route.8 slattach.8 ; do
   cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz
+done )
+
+# internatonal
+for lang in de_DE fr_FR pt_BR ; do
+ ( cd man/$lang
+ dlang=${lang:0:2}
+ mkdir -p $PKG/usr/man/$dlang/man{1,8}
+ for page in dnsdomainname.1 domainname.1 hostname.1 nisdomainname.1 ypdomainname.1 ; do 
+  cat $page | gzip -9c > $PKG/usr/man/$dlang/man1/$page.gz
+ done
+ #cat ethers.5 | gzip -9c > $PKG/usr/man/$dlang/man5/ethers.5.gz
+ for page in arp.8 ifconfig.8 netstat.8 rarp.8 route.8 slattach.8 ; do
+  cat $page | gzip -9c > $PKG/usr/man/$dlang/man8/$page.gz
+ done )
 done
+
+# clean up
+#rm -f $PKG/usr/man/??/man5/ethers.5.gz
+rm -f $PKG/usr/man/pt/man8/slattach.8.gz
+
 ( cd $PKG/bin
   ln -sf hostname dnsdomainname
   ln -sf hostname nisdomainname
net-tools.config.h:
Code:
/*
* config.h      Automatically generated configuration includefile
*
* NET-TOOLS     A collection of programs that form the base set of the
*               NET-3 Networking Distribution for the LINUX operating
*               system.
*
*               DO  NOT  EDIT  DIRECTLY
*
*/

/* 
 * 
 * Internationalization
 * 
 * The net-tools package has currently been translated to French,
 * German and Brazilian Portugese.  Other translations are, of
 * course, welcome.  Answer `n' here if you have no support for
 * internationalization on your system.
 * 
 */
#define I18N 1

/* 
 * 
 * Protocol Families.
 * 
 */
#define HAVE_AFUNIX 1
#define HAVE_AFINET 1
#define HAVE_AFINET6 1
#define HAVE_AFIPX 1
#define HAVE_AFATALK 1
#define HAVE_AFAX25 1
#define HAVE_AFNETROM 1
#define HAVE_AFROSE 0
#define HAVE_AFX25 1
#define HAVE_AFECONET 0
#define HAVE_AFDECnet 0
#define HAVE_AFASH 0
#define HAVE_AFBLUETOOTH 1

/* 
 * 
 * Device Hardware types.
 * 
 */
#define HAVE_HWETHER 1
#define HAVE_HWARC 1
#define HAVE_HWSLIP 1
#define HAVE_HWPPP 1
#define HAVE_HWTUNNEL 1
#define HAVE_HWSTRIP 0
#define HAVE_HWTR 0
#define HAVE_HWAX25 1
#define HAVE_HWROSE 0
#define HAVE_HWNETROM 1
#define HAVE_HWX25 1
#define HAVE_HWFR 1
#define HAVE_HWSIT 0
#define HAVE_HWFDDI 1
#define HAVE_HWHIPPI 1
#define HAVE_HWASH 0
#define HAVE_HWHDLCLAPB 0
#define HAVE_HWIRDA 1
#define HAVE_HWEC 0
#define HAVE_HWEUI64 1
#define HAVE_HWIB 1

/* 
 * 
 * Other Features.
 * 
 */
#define HAVE_FW_MASQUERADE 1
#define HAVE_IP_TOOLS 1
#define HAVE_MII 1
#define HAVE_SELINUX 0
and finaly
net-tools.config.make:
Code:
I18N=1
HAVE_AFUNIX=1
HAVE_AFINET=1
HAVE_AFINET6=1
HAVE_AFIPX=1
HAVE_AFATALK=1
HAVE_AFAX25=1
HAVE_AFNETROM=1
# HAVE_AFROSE=0
HAVE_AFX25=1
# HAVE_AFECONET=0
# HAVE_AFDECnet=0
# HAVE_AFASH=0
HAVE_AFBLUETOOTH=1
HAVE_HWETHER=1
HAVE_HWARC=1
HAVE_HWSLIP=1
HAVE_HWPPP=1
HAVE_HWTUNNEL=1
# HAVE_HWSTRIP=0
# HAVE_HWTR=0
HAVE_HWAX25=1
# HAVE_HWROSE=0
HAVE_HWNETROM=1
HAVE_HWX25=1
HAVE_HWFR=1
# HAVE_HWSIT=0
HAVE_HWFDDI=1
HAVE_HWHIPPI=1
# HAVE_HWASH=0
# HAVE_HWHDLCLAPB=0
HAVE_HWIRDA=1
# HAVE_HWEC=0
HAVE_HWEUI64=1
HAVE_HWIB=1
HAVE_FW_MASQUERADE=1
HAVE_ARP_TOOLS=1
HAVE_HOSTNAME_TOOLS=1
HAVE_HOSTNAME_SYMLINKS=1
HAVE_IP_TOOLS=1
HAVE_MII=1
# HAVE_PLIP_TOOLS=0
HAVE_SERIAL_TOOLS=1
# HAVE_SELINUX=0
so - have much fun by error free recompiling ...
 
Old 09-16-2016, 02:48 PM   #19
Rinndalir
Member
 
Registered: Sep 2015
Posts: 733

Rep: Reputation: Disabled
Quote:
Originally Posted by bassmadrigal
As to the version of net-tools that Pat uses, that is the latest official release.

This is from the slackbuild script from -current.

Code:
git archive --format=tar --remote=git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools master
Therefore net-tools builds from the master and net-tools needs to be rebuilt because it's broken and slackbuild doesn't rely on a release.

http://www.linuxquestions.org/questi...lt-4175588248/
 
Old 09-16-2016, 03:05 PM   #20
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Quote:
Originally Posted by Rinndalir View Post
This is from the slackbuild script from -current.

Code:
git archive --format=tar --remote=git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools master
Therefore net-tools builds from the master and net-tools needs to be rebuilt because it's broken and slackbuild doesn't rely on a release.

http://www.linuxquestions.org/questi...lt-4175588248/
No SlackBuild script contains that line. Both util-linux and net-tools don't have that. There is a file, net-tools.url, in the net-tools source folder that contains that line (commented out), probably as a reference for how that source was obtained. But it is never run in the process of building net-tools.

But, you don't have to convince me to go to a newer git revision, you have to convince Pat, and this isn't the thread to do that in.
 
Old 09-16-2016, 03:10 PM   #21
Alien Bob
Slackware Contributor
 
Registered: Sep 2005
Location: Eindhoven, The Netherlands
Distribution: Slackware
Posts: 8,559

Rep: Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106Reputation: 8106
Quote:
Originally Posted by Rinndalir View Post
This is from the slackbuild script from -current.

Code:
git archive --format=tar --remote=git://net-tools.git.sourceforge.net/gitroot/net-tools/net-tools master
Therefore net-tools builds from the master and net-tools needs to be rebuilt because it's broken and slackbuild doesn't rely on a release.

http://www.linuxquestions.org/questi...lt-4175588248/
My god, why are you posting this unfounded crap in THREE different threads?
 
1 members found this post helpful.
  


Reply

Tags
net-tools, util-linux



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
help with a nasty virus/mail ware bug elarsen General 24 05-26-2013 12:31 PM
LXer: A Nasty md/raid bug LXer Syndicated Linux News 0 06-20-2012 12:31 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 09:51 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration